<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.etl.mapper.EtlMpQrMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="entityResultMap" type="org.springblade.modules.etl.entity.EtlMpQrEntity">
        <result column="MP_CD" property="mpCd"/>
        <result column="TM" property="tm"/>
        <result column="MP_Q" property="mpq"/>
        <result column="ACC_W" property="accw"/>
        <result column="IN_STP_Q" property="inStpq"/>
        <result column="ACC_PQ_W" property="accPqw"/>
        <result column="SPE_REG_DATA" property="speRegData"/>
        <result column="TS" property="ts"/>
        <result column="HOUR_W" property="hourw"/>

    </resultMap>

    <select id="selectPage" resultMap="entityResultMap">
        SELECT
        d.MP_CD,d.TM,d.MP_Q,d.ACC_W,d.IN_STP_Q,d.ACC_PQ_W,d.SPE_REG_DATA,d.TS,d.HOUR_W
        FROM
        wr_mp_q_r d
        WHERE 1=1
        order by  d.TM
    </select>
</mapper>
